org.eclipse.wst.jsdt.chromium.debug.core

## Class SourceNameMapperContainer

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.SourceNameMapperContainer

    public class SourceNameMapperContainer
    extends java.lang.Object

A special type of container that translates names of the source and delegates lookup to another source container. This could be useful when JS resource name is like "http://localhost/scripts/util.js"; such source name could be converted into "scripts/util.js". Currently container supports only prefix-based translation: if source name starts with a prefix, the prefix is truncated; otherwise the source name is discarded.

### Nested Class Summary

Nested Classes
`static class` `SourceNameMapperContainer.TypeDelegate` A type delegate that serializes/deserializes container instances into/from memento.

### Constructor Summary

Constructors
Constructor and Description
`SourceNameMapperContainer(java.lang.String prefix, ISourceContainer targetContainer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`java.lang.Object[]` `findSourceElements(java.lang.String name)`
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`java.lang.String` `getName()`
`java.lang.String` `getPrefix()`
`ISourceContainer[]` `getSourceContainers()`
`ISourceContainer` `getTargetContainer()`
`ISourceContainerType` `getType()`
`void` `init(ISourceLookupDirector director)`
`boolean` `isComposite()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SourceNameMapperContainer

    public SourceNameMapperContainer(java.lang.String prefix,
                                     ISourceContainer targetContainer)

### Method Detail

#### dispose

    public void dispose()

#### getPrefix

    public java.lang.String getPrefix()

#### getTargetContainer

    public ISourceContainer getTargetContainer()

#### findSourceElements

    public java.lang.Object[] findSourceElements(java.lang.String name)
                                          throws CoreException

Throws:
  `CoreException`

#### getName

    public java.lang.String getName()

#### getSourceContainers

    public ISourceContainer[] getSourceContainers()

#### getType

    public ISourceContainerType getType()

#### init

    public void init(ISourceLookupDirector director)

#### isComposite

    public boolean isComposite()

#### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)